import axios from 'axios';
import {showAlert} from '../Utils/constants';
/**
 * Creating empty instance of axios for yelo, as API urls are dynamic
 */
const instance = axios.create({
  headers: {
    'Content-Type': 'application/json',
  },
});

// Add a response interceptor
instance.interceptors.response.use(
  response => {
    // Any status code that lie within the range of 2xx cause this function to trigger
    // Do something with response data
    return response.data;
  },
  error => {
    // Any status codes that falls outside the range of 2xx cause this function to trigger
    // Do something with response error
    //return Promise.reject(error);
    console.log('response========   ', error);
    // return showAlert(error.status, error);
  },
);

export default instance;
