

export const ApiInventory = {


    businessSignUp: "business/signUp",
    userLogin: "users/userLogin",
    broadcastList: "campaign/getCampaigns",
    clearCampaign:"campaign/clearCampaign"
};


export const AppConstants = {
    deviceToken: 'DEVICE_TOKEN',
    deviceID:'DEVICE_ID',
    appSecretKey:'APP_SECRET_KEY',
    language: 'LANGUAGE',
    accessToken: 'ACCESS_TOKEN',
    baseUrl: 'BASE_URL',
    successCode: 200,
    badRequest: 400,
    otp_verify_to_home: 1,
    choose_account_to_home: 2,
};


export const showAlert = (status, message) => {
    switch (status) {
        case 200:
            console.log("Sucess", message)
            break;
        case 201:
            console.log("failure", message)
            break;
        case 204:
            console.log("failure", message)
            break;
        case 400:
            console.log("failure", message)
            break;
        case 403:
            console.log("failure", message)
            break;
        case 404:
            console.log("failure", message)
            break;
        case 405:
            console.log("failure", message)
            break;
        case 100:
            console.log("networkError", message)
            break;
        case 101:
            console.log("networkError", message)
            break;
        case 207:
            console.log("networkError", message)
            break;
        default:
            console.log("networkError", 'Something went wrong. Please try again later.');
    }
};

export const ConfigurableServers = {
    LIVE: 'https://api.yelo.red/',
    BETA: 'https://beta-api.yelo.red/',
    TEST_3040: 'https://test-api-3040.tookanapp.com/api/'
};

export const getBaseUrl = str => {
    return ConfigurableServers.TEST_3040;
}