import {AsyncStorage} from 'react-native';
import axiosInstance from '../Utils/axios';
import {getBaseUrl} from '../Utils/constants';

class ApiService {
  static async get(obj) {
    // let baseUrl = await AsyncStorage.getItem(AppConstants.baseUrl);
    let baseUrl = getBaseUrl();

    let url = baseUrl + obj.url;
    console.log('------- url---------> ', url);
    console.log('------- request---------> ', obj.data);
    return axiosInstance.get(url, {
      params: {
        ...obj.data,
      },
    });
  }

  static async post(obj) {
    // let baseUrl = await AsyncStorage.getItem(AppConstants.baseUrl);
    let baseUrl = getBaseUrl();

    if (baseUrl === null) {
      baseUrl = getBaseUrl();
    }
    let url = baseUrl + obj.url;
    console.log('------- url---------> ', url);
    console.log('------- request---------> ', obj.data);
    return axiosInstance.post(url, {
      ...obj.data,
    });
  }
}

export default ApiService;
